## groovy.inspect.swingui
Class TableMap

In a chain of data manipulators some behaviour is common. TableMap provides most of this behavour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

version:
  1.11 01/23/03

author:
  Philip Milne

Field Summary
`TableModel` | `model`

Constructor Summary
`TableMap()`

Method Summary
`Class` | `getColumnClass(int aColumn)`
`int` | `getColumnCount()`
`String` | `getColumnName(int aColumn)`
`TableModel` | `getModel()`
`int` | `getRowCount()`
`Object` | `getValueAt(int aRow, int aColumn)`
`boolean` | `isCellEditable(int row, int column)`
`void` | `setModel(TableModel model)`
`void` | `setValueAt(Object aValue, int aRow, int aColumn)`
`void` | `tableChanged(TableModelEvent e)`

Constructor Detail

### TableMap

    TableMap()

Method Detail

### getColumnClass

    public Class getColumnClass(int aColumn)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int aColumn)

### getModel

    public TableModel getModel()

### getRowCount

    public int getRowCount()

### getValueAt

    public Object getValueAt(int aRow, int aColumn)

### isCellEditable

    public boolean isCellEditable(int row, int column)

### setModel

    public void setModel(TableModel model)

### setValueAt

    public void setValueAt(Object aValue, int aRow, int aColumn)

### tableChanged

    public void tableChanged(TableModelEvent e)